# full version number as seen on youtube-dl website
%define	verlong	2015.11.02

# transform version so we don't have to bump epoch after four digit upgrades:
# 2013.01.17.1 becomes 20130117_1
# 2013.01.28   becomes 20130128
# $ rpmvercmp 20130117_1 20130128
# 20130117_1 < 20130128
%define	ver	%(echo %{verlong} | awk -F. 'NF == 3 {printf("%s%s%s", $1, $2, $3)} NF == 4 {printf("%s%s%s_%s", $1, $2, $3, $4)}')
Summary:	Video extraction utility for YouTube
Summary(pl.UTF-8):	Narzędzie do wydobywania filmów z YouTube
Name:		youtube-dl
Version:	%{ver}
Release:	1
Epoch:		2
License:	Public Domain
Group:		Applications/System
Source0:	http://youtube-dl.org/downloads/%{verlong}/%{name}-%{verlong}.tar.gz
# Source0-md5:	7e81ffcda74b99810cbfc739d0dd4137
Source1:	%{name}.conf
URL:		http://youtube-dl.org/
BuildRequires:	python-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
Requires:	python-pyxattr >= 0.5.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		bash_compdir	%{_datadir}/bash-completion/completions
%define		fish_compdir	%{_datadir}/fish/completions

%description
youtube-dl is a small command-line program to download videos from
YouTube.com.

%description -l pl.UTF-8
youtube-dl jest programem do ściągania plików video z YouTube.com.

%package -n bash-completion-%{name}
Summary:	Bash completion for youtube-dl command
Summary(pl.UTF-8):	Bashowe dopełnianie parametrów polecenia youtube-dl
Group:		Applications/Shells
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	bash-completion >= 2.0

%description -n bash-completion-%{name}
Bash completion for youtube-dl command.

%description -n bash-completion-%{name} -l pl.UTF-8
Bashowe dopełnianie parametrów polecenia youtube-dl.

%package -n fish-completion-%{name}
Summary:	Fish completion for youtube-dl command
Summary(pl.UTF-8):	Dopełnianie parametrów w fish dla polecenia youtube-dl
Group:		Applications/Shells
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	fish

%description -n fish-completion-%{name}
Fish completion for youtube-dl command.

%description -n fish-completion-%{name} -l pl.UTF-8
Dopełnianie parametrów w fish dla polecenia youtube-dl.

%prep
%setup -qc
mv %{name} .tmp; mv .tmp/* .

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}
%{__python} setup.py install \
	--skip-build \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%py_postclean

install -d $RPM_BUILD_ROOT%{_sysconfdir}
cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}

install -d $RPM_BUILD_ROOT{%{bash_compdir},%{fish_compdir}}
%{__mv} $RPM_BUILD_ROOT%{_prefix}/etc/bash_completion.d/youtube-dl.bash-completion \
	$RPM_BUILD_ROOT%{bash_compdir}/%{name}
%{__mv} $RPM_BUILD_ROOT%{_prefix}/etc/fish/completions/youtube-dl.fish \
	$RPM_BUILD_ROOT%{fish_compdir}/%{name}.fish
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/youtube_dl

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md LICENSE
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/youtube-dl.conf
%attr(755,root,root) %{_bindir}/youtube-dl
%{_mandir}/man1/youtube-dl.1*
%{py_sitescriptdir}/youtube_dl
%{py_sitescriptdir}/youtube_dl-*-py*.egg-info

%files -n bash-completion-%{name}
%defattr(644,root,root,755)
%{bash_compdir}/%{name}

%files -n fish-completion-%{name}
%defattr(644,root,root,755)
%{fish_compdir}/%{name}.fish
%changelog
* Tue Nov 03 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/youtube-dl.git;a=log;h=master

* Tue Nov 03 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 25f6fe3
- up to 20151102

* Mon Oct 19 2015 Jan Palus <atler@pld-linux.org> 6d3db27
- up to 2015.10.18

* Mon Jun 15 2015 Elan Ruusamäe <glen@delfi.ee> a3268ab
- up to 2015.06.15

* Mon May 11 2015 Jakub Bogusz <qboosh@pld-linux.org> 6f986dc
- python-distribute dependencies cleanup

* Thu Apr 23 2015 Elan Ruusamäe <glen@delfi.ee> 701550b
- enable xattr by default, now that it works

* Wed Apr 22 2015 Elan Ruusamäe <glen@delfi.ee> 5f5c6c1
- seems to be the other way around due interdependencies

* Wed Apr 22 2015 Elan Ruusamäe <glen@delfi.ee> 1762804
- python-distribute and python-setuptools produce different eggs

* Wed Apr 22 2015 Elan Ruusamäe <glen@delfi.ee> cd3037f
- require pyxattr 0.5.0

* Wed Apr 22 2015 Elan Ruusamäe <glen@delfi.ee> bee6878
- preserve leading zeroes

* Wed Apr 22 2015 Elan Ruusamäe <glen@delfi.ee> a42524a
- up to 2015.04.17

* Wed Apr 22 2015 Elan Ruusamäe <glen@delfi.ee> ffca932
- make rpm version build automatic

* Wed Apr 22 2015 Elan Ruusamäe <glen@delfi.ee> 3ff34f8
- add global config to package; fix egg-info packaging

* Wed Apr 22 2015 Elan Ruusamäe <glen@delfi.ee> d70b68a
- require python-pyxattr

* Sun Mar 01 2015 Jan Palus <atler@pld-linux.org> f50de99
- up to 20150228

* Wed Nov 26 2014 Jan Palus <atler@pld-linux.org> cd17939
- up to 20141126
- package fish completion

* Sat Sep 13 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 652733c
- separate our rpm version number from upstream number, so there will be no problem (with having to bump epoch) if upstream decides to use version like 2014.01.23.4

* Sat Sep 13 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> cc5cf17
- up to 20140912

* Thu Aug 21 2014 Adam Gołębiowski <adamg@pld-linux.org> 4c1746c
- updated to 2014.08.21.3

* Sat Jan 25 2014 Jan Rękorajski <baggins@pld-linux.org> 9a77a05
- added epoch to internal deps
- rel 2

* Fri Jan 24 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 91273a8
- up to 2014.01.23.4

